(function($){

    var url1 = /(^|&lt;|\s)(www\..+?\..+?)(\s|&gt;|$)/g,
      url2 = /(^|&lt;|\s)(((https?|ftp):\/\/|mailto:).+?)(\s|&gt;|$)/g,

      linkifyThis = function () {
        var childNodes = this.childNodes,
            i = childNodes.length;
        while(i--)
        {
          var n = childNodes[i];
          if (n.nodeType == 3) {
            // var html = $.trim(n.nodeValue); // Fix stuck words
            var html = n.nodeValue;
            if (html)
            {
              html = html.replace(/&/g, '&amp;')
                         .replace(/</g, '&lt;')
                         .replace(/>/g, '&gt;')
                         .replace(url1, '$1<a href="http://$2">$2</a>$3')
                         .replace(url2, '$1<a href="$2">$2</a>$5');
              $(n).after(html).remove();
            }
          }
          else if (n.nodeType == 1  &&  !/^(a|button|textarea)$/i.test(n.tagName)) {
            linkifyThis.call(n);
          }
        }
      };

    $.fn.linkify = function () {
    return this.each(linkifyThis);
    };
    
    $(document).ready(function(){
        $('.under-slider').html('').show();
        $('#toUnderSlider .row').detach().appendTo($('.under-slider'));
        // $('.breadcrumbs span').each(function(){
            // if (
        // });
        $(".breadcrumbs span a:contains('Wikis')").each(function(){
            $(this).parents('span').remove();
        });
        $(".breadcrumbs").each(function(){
            $(this).html($(this).html().replace('&gt;  &gt;', '&gt;'));
        });
        
        if ( $('.wpum-registration-form').length ){
            // '<span class="wpum-required-star">*</span>'
            $('.wpum-registration-form label[for=description]').html( $('.wpum-registration-form label[for=description]').html().replace('Description', 'Bio') ).show();
        }
        
        if ( $('.wpum-user-details-list').length ){
            $('.wpum-user-details-list .field_description').html( $('.wpum-user-details-list .field_description').html().replace('Description', 'Bio') ).show();
        }
        
        $('#w_references').after('<div id="references"></div>');
        var news_ref_index = 0;
        var refs_index_by_names = new Array();
        $('ref').each(function(index){
            var name = $(this).attr('name');
            var html = $(this).html();
            var is_new = true;
            if (name && refs_index_by_names[name]){
                ref_index = refs_index_by_names[name];
                is_new = false;
            }else{
                news_ref_index++;
                if (name){ refs_index_by_names[name] = news_ref_index; }
                ref_index = news_ref_index;
            }
            $(this).before('<sup><a class="refLink" href="#ref'+ref_index+'">['+ref_index+']</a></sup>');
            if (is_new){
                $(this).html('<div class="reference" id="ref'+ref_index+'"><span class="number">'+ref_index+'.</span> '+html+'</div>').detach();
                $(this).appendTo($('#references'));
                $(this).fadeIn();
            }
        });
        $('#toc a').click(function(e){
            e.preventDefault();
            $('html, body').animate({
                scrollTop: $($(this).attr('href')).offset().top - 65
            }, 'slow');
        });
        $('.refLink').click(function(e){
            e.preventDefault();
            e.stopPropagation();
            $('html, body').stop(false, false).animate({
                scrollTop: $($(this).attr('href')).offset().top - 65
            }, 'slow');
        });
        // $('.tweet_list li span.content').each(function(){ 
            // $(this).html($(this).html().replace(/(?:(https?\:\/\/[^\s]+))/m, '<a target="_blank" href="$1">$1</a>'));
        // });
        
        $('.wrap-content').linkify();
        
        // Remove "uncategorized" from cloud
        $('.tagcloud .tag-link-1').remove();
        
        $('img').error(function() {
            // Try to find existing image in srcset
            var srcset = $(this).attr('srcset');
            if (srcset){
                var srcsets = srcset.split(", ");
                var src = srcsets[0].split(" ")[0];
                $(this).attr('src', src);
                srcsets.shift();
                var new_srcset = srcsets.join(", ");
                $(this).attr('srcset', new_srcset);
            }
        });
    });
    
})(jQuery);